<?php

/*********************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 ********************************************************************************/

$basedir = dirname(__FILE__) . '/..';
require_once("$basedir/baseclass/DBCommonFunctions.php");
require_once("$basedir/auth/config.php");
require_once("$basedir/baseclass/History.php");
require_once("$basedir/baseclass/GetAuthorization.php");


class authData extends DBCommonFunctions
{
	public function updateHeader($auth_id, $desc)
	{
		global $Level_array;

		if ($auth_id == '')
		throw new iInvalidArgumentException();

		$sauth_id = $this->escapeString($auth_id);
		$sdesc = $this->escapeString($desc);

		$loggedinUser = loggedUserID();

		$DbObj = new dbObj();

		$this->beginTransaction();

		$authList = $DbObj->fetchRow('authorizationlists', 'authorizations_id', $sauth_id);
		if ($authList == null)
		$query = "INSERT INTO authorizationlists
            				   (authorizations_id, description, createat, createby, changeby)
						VALUES ('$sauth_id', '$sdesc', now(), '$loggedinUser', '$loggedinUser')";
		else
		$query = "UPDATE authorizationlists
						SET
					    	description = '$sdesc',
				    	    changeby = '$loggedinUser'
						WHERE
						    authorizations_id = '$sauth_id'";
			
		try
		{
			$conn = $this->getConnection();
			$conn->query($query);
			if ($authList == null)
			$recid = $conn->insert_id;
			$this->chkQueryError($conn, $query);
			$this->commitTransaction();

			if ($authList == null)
			{
				$history = new History();
				$history->addToHistory($recid);
				return $recid;
			}
		}
		catch (Exception $e)
		{
			$this->rollbackTransaction();
			throw $e;
		}

	}


	public function updateDetails($auth_id, $mod, $act, $lvl)
	{
		global $Level_array;

		if ($auth_id == ''
		or $mod == ''
		or $act == ''
		or $lvl == '')
		throw new iInvalidArgumentException();

		if (!array_key_exists($lvl, $Level_array))
		throw new iInvalidDataException();

		$sauth_id = $this->escapeString($auth_id);
		$smod = $this->escapeString($mod);
		$sact = $this->escapeString($act);
		$slvl = $this->escapeString($lvl);

		$loggedinUser = loggedUserID();

		$DbObj = new dbObj();

		$this->beginTransaction();

		try
		{
			$where = "authorizations_id = '$sauth_id' and module = '$smod' and action = '$sact' ";
			$RowData = $DbObj->fetchRowbyWhereClause('authorizations', $where);

			if ($RowData == null)
			$query = "INSERT INTO authorizations
            			   (authorizations_id, module, action, authlevel, createat, createby, changeby)
					VALUES ('$sauth_id', '$smod', '$sact', '$slvl', now(), '$loggedinUser', '$loggedinUser')";

			else
			$query = "UPDATE authorizations
							SET
						    	authlevel = $slvl,
				    		    changeby = '$loggedinUser'
							WHERE
						    	authorizations_id = '$sauth_id'
						    	and module = '$smod'
						    	and action = '$sact'";

			$conn = $this->getConnection();
			$conn->query($query);
			if ($RowData == null)
			$recid = $conn->insert_id;

			$this->chkQueryError($conn, $query);
			$this->commitTransaction();
			if ($RowData == null)
			return $recid;
		}
		catch (Exception $e)
		{
			$this->rollbackTransaction();
			throw $e;
		}
	}



}


?>