<?php

/*********************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 ********************************************************************************/

$fieldMetaData = array(
'uid' => array('label' => 'Unique ID', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField'),
'expensecategories_id' => array('label' => 'Category', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField'),
'description' => array('label' => 'Description', 'displaysize' => 50, 'fieldlen' => 100, 'fieldType' => 'textField'),
'seq' => array('label' => 'Sequence on Report', 'displaysize' => 2, 'fieldlen' => 2, 'fieldType' => 'textField'),
'ismileage' => array('label' => 'Is Mileage?', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'radioField', 'validValues' => 'ismileage_status_array',),
'mileagerate' => array('label' => 'Mileage Rate', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'textField',),
'status' => array('label' => 'Status', 'displaysize' => 10, 'fieldlen' => 2, 'fieldType' => 'radioField', 'validValues' => 'expensecategories_status_array'),
'createat' => array('label' => 'Created At', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField'),
'createby' => array('label' => 'Created By', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField'),
'changeat' => array('label' => 'Changed At', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField'),
'changeby' => array('label' => 'Changed By', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField'),
);

$createLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Create Expense Category',
'expensecategories_id' => 'editable',
'description' => 'editable',
'seq' => 'editable',
'ismileage' => 'editable',
'mileagerate' => 'editable',
'status' => 'editable'
);

$editLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Edit Expense Category',
'uid' => 'hidden',
'expensecategories_id' => 'protected',
'description' => 'editable',
'seq' => 'editable',
'ismileage' => 'editable',
'mileagerate' => 'editable',
'status' => 'editable'
);

$deleteLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Delete Expense Category',
'uid' => 'hidden',
'expensecategories_id' => 'viewonly',
'description' => 'viewonly',
'seq' => 'viewonly',
'ismileage' => 'viewonly',
'mileagerate' => 'viewonly',
'status' => 'viewonly',
'createat' => 'viewonly',
'createby' => 'viewonly',
'changeat' => 'viewonly',
'changeby' => 'viewonly',
);


$browseLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Browse Expense Category',
'uid' => 'hidden',
'expensecategories_id' => 'viewonly',
'description' => 'viewonly',
'seq' => 'viewonly',
'ismileage' => 'viewonly',
'mileagerate' => 'viewonly',
'status' => 'viewonly',
'createat' => 'viewonly',
'createby' => 'viewonly',
'changeat' => 'viewonly',
'changeby' => 'viewonly',
'addl_buttons' => array(
array('heading' => 'Edit', 'module' => 'expensecategories', 'action' => 'Edit'),
array('heading' => 'Copy', 'module' => 'expensecategories', 'action' => 'Create'),
array('heading' => 'Delete', 'module' => 'expensecategories', 'action' => 'Delete'),
),
);

$listLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'List Expense Categories',
'expensecategories_id' => 'viewonly',
'description' => 'viewonly',
'seq' => 'viewonly',
'status' => 'viewonly'
);

$searchLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Search Expense Category',
'expensecategories_id' => 'editable',
'description' => 'editable',
);

$expensecategories_status_array = array(
'10' => 'Active',
'90' => 'Inactive'
);


$ismileage_status_array = array(
'1' => 'Yes',
'0' => 'No'
);


$lookupArray = array(
'expensecategories_id' => array('module' => 'expensecategories', 'table' => 'expensecategories', 'field' => 'expensecategories_id')
);


?>