<?php

/*********************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 ********************************************************************************/

$fieldMetaData = array(
'uid' => array('label' => 'Unique ID', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'users_id' => array('label' => 'User', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'projects_id' => array('label' => 'Project', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'weekenddate' => array('label' => 'Weekend', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
'description' => array('label' => 'Description', 'displaysize' => 50, 'fieldlen' => 100, 'fieldType' => 'textField',),
'comment' => array('label' => 'Comments', 'displaysize' => 50, 'fieldlen' => 100, 'fieldType' => 'textField',),
'location' => array('label' => 'Location', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'submitdate' => array('label' => 'Submitted On', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
'approvedate' => array('label' => 'Verified On', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
'invoicedate' => array('label' => 'Invoiced On', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
'status' => array('label' => 'Status', 'displaysize' => 10, 'fieldlen' => 2, 'fieldType' => 'radioField', 'validValues' => 'expenseheaders_status_array'),
'createat' => array('label' => 'Created At', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
'createby' => array('label' => 'Created By', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'changeat' => array('label' => 'Changed At', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
'changeby' => array('label' => 'Changed By', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'action'=> array('label' => 'Next Action', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'textField', 'sort' => 'no', 'functionName' => 'get_next_action'),
'totalamount' => array('label' => 'Total Amount', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'textField', 'sort' => 'no', 'functionName' => 'get_total_amount'),
'filter' => array('label' => 'Show Criteria','displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'radioField', 'validValues' => 'expense_filter_array', 'nontable' => 'yes'),
);


$createLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Create Expense',
'users_id' => 'haveselect',
'projects_id' => 'haveselect',
'weekenddate' => 'editable',
'description' => 'editable',
'comment' => 'editable',
'location' => 'editable',
);

$editLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Edit Expense',
'uid' => 'hidden',
'users_id' => 'protected',
'projects_id' => 'protected',
'weekenddate' => 'protected',
'description' => 'editable',
'comment' => 'editable',
'location' => 'editable',
'totalamount' => 'viewonly',
);

$deleteLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Delete Expense',
'uid' => 'hidden',
'users_id' => 'viewonly',
'projects_id' => 'viewonly',
'weekenddate' => 'viewonly',
'description' => 'viewonly',
'comment' => 'viewonly',
'location' => 'viewonly',
'totalamount' => 'viewonly',
'submitdate' => 'viewonly',
'approvedate' => 'viewonly',
'invoicedate' => 'viewonly',
'status' => 'viewonly',
'createat' => 'viewonly',
'createby' => 'viewonly',
'changeat' => 'viewonly',
'changeby' => 'viewonly',
);

$browseLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Browse Expense',
'uid' => 'hidden',
'users_id' => 'viewonly',
'projects_id' => 'viewonly',
'weekenddate' => 'viewonly',
'description' => 'viewonly',
'comment' => 'viewonly',
'location' => 'viewonly',
'totalamount' => 'viewonly',
'submitdate' => 'viewonly',
'approvedate' => 'viewonly',
'invoicedate' => 'viewonly',
'status' => 'viewonly',
'createat' => 'viewonly',
'createby' => 'viewonly',
'changeat' => 'viewonly',
'changeby' => 'viewonly',
'addl_buttons' => array(
array('heading' => 'Edit', 'module' => 'expenseheaders', 'action' => 'Edit', 'conditionalValues' => 'status = 10, 20',),
array('heading' => 'Copy', 'module' => 'expenseheaders', 'action' => 'Create',),
array('heading' => 'Delete', 'module' => 'expenseheaders', 'action' => 'Delete', 'conditionalValues' => 'status = 10, 20',),
array('heading' => 'Submit', 'module' => 'expenseheaders', 'action' => 'Submit', 'conditionalValues' => 'status = 10',),
array('heading' => 'Verify', 'module' => 'expenseheaders', 'action' => 'Verify', 'conditionalValues' => 'status = 20',),
array('heading' => 'Print', 'module' => 'expenseheaders', 'action' => 'Print',),
array('heading' => 'Hold', 'module' => 'expenseheaders', 'action' => 'Hold', 'conditionalValues' => 'status = 10, 20',),
array('heading' => 'Release', 'module' => 'expenseheaders', 'action' => 'Release', 'conditionalValues' => 'status = 80',),
array('heading' => 'Expense Details', 'module' => 'expensedetails', 'action' => 'List', 'filter_keys' => 'users_id, projects_id, weekenddate',),
),
);


$listLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'List Expenses',
'users_id' => 'left',
'projects_id' => 'left',
'weekenddate' => 'left',
'location' => 'left',
'submitdate' => 'left',
'approvedate' => 'left',
'invoicedate' => 'left',
'totalamount' => 'right',
'status' => 'left',
'action' => 'left',
);

$searchLayout = array(
'fieldMetaData' => 'fieldMetaData',
'users_id' => 'haveselect',
'projects_id' => 'haveselect',
'weekenddate' => 'editable',
'status' => 'editable',
'filter' => 'editable',
);

$submitLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Submit Expense',
'uid' => 'hidden',
'users_id' => 'protected',
'projects_id' => 'protected',
'weekenddate' => 'protected',
);

$holdLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Hold Expense',
'uid' => 'hidden',
'users_id' => 'viewonly',
'projects_id' => 'viewonly',
'weekenddate' => 'viewonly',
'description' => 'viewonly',
'comment' => 'viewonly',
'location' => 'viewonly',
'totalamount' => 'viewonly',
'submitdate' => 'viewonly',
'approvedate' => 'viewonly',
'invoicedate' => 'viewonly',
'status' => 'hidden',
'createat' => 'viewonly',
'createby' => 'viewonly',
'changeat' => 'viewonly',
'changeby' => 'viewonly'
);

$expenseheaders_status_array = array(
'10' => 'Entered',
'20' => 'Submitted',
'30' => 'Verified',
'80' => 'On Hold',
'90' => 'Invoiced'
);

$expense_filter_array = array(
'10' => 'My Expense',
'20' => 'My Group',
'30' => 'Report To Me'
);

$lookupArray = array(
'users_id' => array('module' => 'users', 'table' => 'users', 'field' => 'users_id'),
'projects_id' => array('module' => 'projects', 'table' => 'projects', 'field' => 'projects_id'),
);


$headerBlock = array(
'users_id' => array('label' => 'User', 'displaysize' => 20, 'fieldType' => 'textField', ),
'projects_id' => array('label' => 'Project', 'displaysize' => 20, 'fieldType' => 'textField', ),
'weekenddate' => array('label' => 'Weekend Date', 'displaysize' => 10, 'fieldType' => 'dateField',),
'description' => array('label' => 'Description', 'displaysize' => 30, 'fieldType' => 'textField',),
);

$detailLine1 = array(
'expensecategories_id' => array('displaysize' => 20, 'fieldType' => 'textField', 'align' => 'left',),
'Sunday_amount' => array('displaysize' => 10, 'fieldType' => 'textField', 'align' => 'center',),
'Monday_amount' => array('displaysize' => 10, 'fieldType' => 'textField', 'align' => 'center',),
'Tuesday_amount' => array('displaysize' => 10, 'fieldType' => 'textField', 'align' => 'center',),
'Wednesday_amount' => array('displaysize' => 10, 'fieldType' => 'textField', 'align' => 'center',),
'Thursday_amount' => array('displaysize' => 10, 'fieldType' => 'textField', 'align' => 'center',),
'Friday_amount' => array('displaysize' => 10, 'fieldType' => 'textField', 'align' => 'center',),
'Saturday_amount' => array('displaysize' => 10, 'fieldType' => 'textField', 'align' => 'center',),
'Total_amount' => array('displaysize' => 10, 'fieldType' => 'textField', 'align' => 'center',),
'Verified' => array('displaysize' => 10, 'fieldType' => 'textField', 'align' => 'center',),
);


?>