<?php

/*********************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".
 ********************************************************************************/

$basedir = dirname(__FILE__) . '/..';
require_once("$basedir/invoices/DbObj.php");
require_once("$basedir/accounts/DbObj.php");
require_once("$basedir/expenseheaders/DbObj.php");

class DBConfigFunctions extends DBCommonFunctions
{
	function getbillhrs($dataRow)
	{
		$where = "invoices_id='{$dataRow['invoices_id']}' ";
		$Data = new InvoiceData();
		$billhrs = $Data->getColumnSum('invoicetimedetails', 'billablehours', $where);
		if ($billhrs == 0)
			return '';
		return $billhrs;
	}

	function getnonbillhrs($dataRow)
	{
		$where = "invoices_id='{$dataRow['invoices_id']}' ";
		$Data = new InvoiceData();
		$billhrs = $Data->getColumnSum('invoicetimedetails', 'nonbillablehours', $where);
		if ($billhrs == 0)
			return '';
		return $billhrs;
	}

	
	function gettotalhrs($dataRow)
	{
		$where = "invoices_id='{$dataRow['invoices_id']}' ";
		$Data = new InvoiceData();
		$totalhrs = $Data->getColumnSum('invoicetimedetails', 'actualhours', $where);
		if ($totalhrs == 0)
			return '';
		return $totalhrs;
	}

	function getbillamount($dataRow)
	{
		$where = "invoices_id='{$dataRow['invoices_id']}' ";
		$Data = new InvoiceData();
		$billamount = $Data->getColumnSum('invoicetimedetails', 'billamount', $where);
		if ($billamount == 0)
			return '';
		return $billamount;
	}

	function getexpenseamount($dataRow)
	{
		$where = "invoices_id='{$dataRow['invoices_id']}' ";
		$Data = new InvoiceData();
		$amount = $Data->getColumnSum('invoiceexpensedetails', 'amount', $where);
		if ($amount == null)
			return '';
		return $amount;
	}

	function getbillingcycle($dataRow)
	{
		$where = "accounts_id='{$dataRow['accounts_id']}'";
		$Data = new InvoiceData();
		$accountRow = $Data->fetchRowbyWhereClause('accounts', $where);
		return changeLiteral($accountRow['billcycle']);
	}

	function getnextbilldate($dataRow)
	{
		$accounts_id = $dataRow['accounts_id'];
		$Data = new AccountData();
		$nextBillDate = $Data->getBillbydate($accounts_id);
		return $nextBillDate;
	}

	function getlastbilldate($dataRow)
	{
		$accounts_id = $dataRow['accounts_id'];
		$Data = new AccountData();
		$lastBillDate = $Data->getLastBilldate($accounts_id);
		return $lastBillDate;
	}

	function get_next_action_exp($dataRow)
	{
		$submit = changeLiteral('Submit');
		$verify = changeLiteral('Verify');

		If ($dataRow['status'] == '10')
			return "<a href=index.php?module=expenseheaders&action=Submit&uid={$dataRow['uid']}&load=Yes>$submit</a>";
		elseif ($dataRow['status'] == '20')
			return "<a href=index.php?module=expenseheaders&action=Verify&uid={$dataRow['uid']}&load=Yes>$verify</a>";
		else
			return '';
	}

	function get_next_action_time($dataRow)
	{
		$submit = changeLiteral('Submit');
		$approve = changeLiteral('Approve');
		
		If ($dataRow['status'] < '20')
			return "<a href=index.php?module=times&action=Submit&uid={$dataRow['uid']}>$submit</a>";
		elseif ($dataRow['status'] < '30')
			return "<a href=index.php?module=times&action=Approve&uid={$dataRow['uid']}>$approve</a>";
		else
			return '';
	}
	
	function get_total_amount($dataRow)
	{
		$Data = new ExpenseHeaderData();
		return $Data->GetTotalExpense($dataRow['uid']);
	}
	
	function getinvoiceamount($dataRow)
	{
		$where = "invoices_id='{$dataRow['invoices_id']}' ";
		$Data = new InvoiceData();
		$expamount = $Data->getColumnSum('invoicetimedetails', 'billamount', $where);
		$billamount = $Data->getColumnSum('invoiceexpensedetails', 'amount', $where);
		$amount = $expamount + $billamount;
		if ($amount == 0)
			$amount = '';
		return sprintf("%01.2f", $amount);
	}



}



?>