<?php

/* * *******************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 * ****************************************************************************** */


$menu_config_array = array(
    'invoices' => array('heading' => 'Invoice',
                        'actions' => array('List' => array('heading' => 'List',),
                                           ),
                        ),
    'times' => array('heading' => 'Time Entry',
                    'actions' => array('Create' => array('heading' => 'Create',),
                                        'List' => array('heading' => 'List Summary',),
                                        'ListDetail' => array('heading' => 'List',),
                                        'Print' => array('heading' => 'Print',),
                                      ),
                    ),
    'expenseheaders' => array('heading' => 'Expense Entry',
                              'actions' => array('Create' => array('heading' => 'Create',),
                                                 'List' => array('heading' => 'List',),
                                                 'Print' => array('heading' => 'Print',
                                                                  'showOnMenu' => 'noshow',),
                                                ),
                            ),
    'expensedetails' => array('heading' => 'Expense Details',
                              'showOnMenu' => 'noshow',
                              'actions' => array('Create' => array('heading' => 'Create',),
                                                 'List' => array('heading' => 'List',),
                                                 'Print' => array('heading' => 'Print',
                                                                   'module' => 'expenseheaders',
                                                                   'showCondition' => 'action = List',),
                                                ),
                            ),
    'accounts' => array('heading' => 'Accounts',
                        'actions' => array('Create' => array('heading' => 'Create',),
                                           'List' => array('heading' => 'List',),
                                          ),
                        ),
    'projects' => array('heading' => 'projects',
                        'actions' => array('Create' => array('heading' => 'Create',),
                                           'List' => array('heading' => 'List',),
                                          ),
                       ),
    'tasks' => array('heading' => 'Tasks',
                     'showOnMenu' => 'noshow',
                     'actions' => array('Create' => array('heading' => 'Create',),
                                        'List' => array('heading' => 'List',),
                                       ),
                    ),
    'roles' => array('heading' => 'roles',
                     'showOnMenu' => 'noshow',
                     'actions' => array('Create' => array('heading' => 'Create',),
                                        'List' => array('heading' => 'List',),
                                        ),
                    ),
    'users' => array('heading' => 'Users',
                     'actions' => array('Create' => array('heading' => 'Create',),
                                        'List' => array('heading' => 'List',),
                                       ),
                    ),
    'expensecategories' => array('heading' => 'Expense Categories',
                                 'showOnMenu' => 'noshow',
                                 'actions' => array('Create' => array('heading' => 'Create',),
                                                    'List' => array('heading' => 'List',),
                                                   ),
                                ),
    'sysconfig' => array('heading' => 'System Configuration',
                         'actions' => array('expensecategories' => array('heading' => 'Expense Categories'),
                                            'tasks' => array('heading' => 'Tasks'),
                                            'roles' => array('heading' => 'Roles'),
                                            'authorizationlists' => array('heading' => 'Authorization'),
                                           ),
                        ),
    'sysadmin' => array('heading' => 'System Administration',
                        'actions' => array('List' => array('heading' => 'Company'),
                                           'backup' => array('heading' => 'Backup Data'),
                                           'restore' => array('heading' => 'Restore Data'),
                                           'literals' => array('heading' => 'Manage Literals'),
                                           'messages' => array('heading' => 'Manage Messages'),
                                          ),
                      ),
    'about' => array('heading' => 'About',
                     'actions' => array('List' => array('heading' => 'About'),
                                       ),
                    ),
    'projecttasks' => array('heading' => 'Project -> Tasks',
                            'showOnMenu' => 'noshow',
                            'actions' => array('Create' => array('heading' => 'Create',),
                                                'List' => array('heading' => 'List',),
                                              ),
                           ),
    'projectroles' => array('heading' => 'Project -> Roles',
                            'showOnMenu' => 'noshow',
                            'actions' => array('Create' => array('heading' => 'Create',),
                                               'List' => array('heading' => 'List',),
                                              ),
    ),
    'userprojectsroles' => array('heading' => 'Users -> Projects -> Roles',
                                 'showOnMenu' => 'noshow',
                                 'actions' => array('Create' => array('heading' => 'Create',),
                                                    'List' => array('heading' => 'List',),
                                                    ),
                                ),
    'authorizationlists' => array('heading' => 'Authorization',
                                  'showOnMenu' => 'noshow',
                                  'actions' => array('Create' => array('heading' => 'Create',),
                                                     'List' => array('heading' => 'List',),
                                                    ),
                                ),
    'literals' => array('heading' => 'Literals',
                        'showOnMenu' => 'noshow',
                        'actions' => array('Create' => array('heading' => 'Create',),
                                           'List' => array('heading' => 'List',),
                                          ),
    ),
    'messages' => array('heading' => 'Messages',
                        'showOnMenu' => 'noshow',
                        'actions' => array('Create' => array('heading' => 'Create',),
                                           'List' => array('heading' => 'List'),
                                          ),
    ),
    'install' => array('heading' => 'Installation',
                       'showOnMenu' => 'noshow',
                       'actions' => array('Create' => array('heading' => 'Install Database',),
                                        ),
                      ),
);
?>