<?php

/*********************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 ********************************************************************************/

$fieldMetaData = array(
'uid' => array('label' => 'Unique ID', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'projects_id'=> array('label' => 'Project', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'name' => array('label' => 'Name', 'displaysize' => 30, 'fieldlen' => 50, 'fieldType' => 'textField',),
'description' => array('label' => 'Description', 'displaysize' => 30, 'fieldlen' => 100, 'fieldType' => 'textField',),
'accounts_id' => array('label' => 'Account','displaysize' => 25, 'fieldlen' => 25, 'fieldType' => 'textField',),
'billtoaccount_id' => array('label' => 'Bill to Account','displaysize' => 25, 'fieldlen' => 25, 'fieldType' => 'textField',),
'separate_billing' => array('label' => 'Separate Billing', 'displaysize' => 3, 'fieldlen' => 1, 'fieldType' => 'optionField', 'validValues' => 'yes_no_array'),
'status' => array('label' => 'Status', 'displaysize' => 20, 'fieldlen' => 2, 'fieldType' => 'radioField', 'validValues' => 'projects_status_array'),
'createat' => array('label' => 'Created On', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
'createby' => array('label' => 'Created By', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'textField',),
'changeat' => array('label' => 'Modified On', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
'changeby' => array('label' => 'Modified By', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'textField',),
'weekenddate' => array('label' => 'Weekend', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
);

$createLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Create Project',
'projects_id' => 'editable',
'name' => 'editable',
'description' => 'editable',
'accounts_id' => 'haveselect',
'billtoaccount_id' => 'haveselect',
'separate_billing' => 'editable',
'status' => 'editable',
);

$editLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Edit Project',
'uid' => 'hidden',
'projects_id' => 'protected',
'name' => 'editable',
'description' => 'editable',
'accounts_id' => 'protected',
'billtoaccount_id' => 'protected',
'separate_billing' => 'editable',
'status' => 'editable',
);

$listLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'List Projects',
'projects_id' => 'viewonly',
'name' => 'viewonly',
'accounts_id' => 'viewonly',
'billtoaccount_id' => 'viewonly',
'separate_billing' => 'viewonly',
'status' => 'viewonly',
);

$deleteLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Delete Project',
'uid' => 'hidden',
'projects_id' => 'viewonly',
'name' => 'viewonly',
'description' => 'viewonly',
'accounts_id' => 'viewonly',
'billtoaccount_id' => 'viewonly',
'separate_billing' => 'viewonly',
'status' => 'viewonly',
'createat' => 'viewonly',
'createby' => 'viewonly',
'changeat' => 'viewonly',
'changeby' => 'viewonly',
);

$browseLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Browse Project',
'uid' => 'hidden',
'projects_id' => 'viewonly',
'name' => 'viewonly',
'description' => 'viewonly',
'accounts_id' => 'viewonly',
'billtoaccount_id' => 'viewonly',
'separate_billing' => 'viewonly',
'status' => 'viewonly',
'createat' => 'viewonly',
'createby' => 'viewonly',
'changeat' => 'viewonly',
'changeby' => 'viewonly',
'addl_buttons' => array(
array('heading' => 'Edit', 'module' => 'projects', 'action' => 'Edit',),
array('heading' => 'Copy', 'module' => 'projects', 'action' => 'Create',),
array('heading' => 'Delete', 'module' => 'projects', 'action' => 'Delete',),
array('heading' => 'Print Weekly Report', 'module' => 'projects', 'action' => 'Print',),
array('heading' => 'Assign tasks', 'module' => 'projecttasks', 'action' => 'List', 'filter_keys' => 'projects_id',),
array('heading' => 'Assign roles', 'module' => 'projectroles', 'action' => 'List', 'filter_keys' => 'projects_id',),
array('heading' => 'Assign users', 'module' => 'userprojectsroles', 'action' => 'List', 'filter_keys' => 'projects_id',),
),
);

$searchLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Search Project',
'projects_id' => 'editable',
'name' => 'editable',
'accounts_id' => 'haveselect',
'billtoaccount_id' => 'haveselect',
);

$printSubmitLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Print Time Cards of a Project by Week',
'projects_id'=> 'protected',
'weekenddate'=> 'editable',
);

$projects_status_array = array(
'10' => 'Active',
'80'=> 'Held',
'90' => 'Inactive'
);

$yes_no_array = array(
'1' => 'Yes',
'0'=> 'No'
);

// Table, Reference field
$lookupArray = array(	
'projects_id' => array('module' => 'projects', 'table' => 'projects', 'field' => 'projects_id'),
'accounts_id' => array('module' => 'accounts', 'table' => 'accounts', 'field' => 'accounts_id'),
'billtoaccount_id' => array('module' => 'accounts', 'table' => 'accounts', 'field' => 'accounts_id'),
);


?>