<?php

/*********************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 ********************************************************************************/

$fieldMetaData = array(
'uid' => array('label' => 'Unique ID', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'projects_id' => array('label' => 'Project', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'tasks_id' => array('label' => 'Task', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'status' => array('label' => 'Status', 'displaysize' => 10, 'fieldlen' => 2, 'fieldType' => 'radioField', 'validValues' => 'projects_tasks_status_array'),
'createat' => array('label' => 'Created At', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
'createby' => array('label' => 'Created By', 'displaysize' => 20, 'fieldlen' => 50, 'fieldType' => 'textField',),
'changeat' => array('label' => 'Changed At', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
'changeby' => array('label' => 'Changed By', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
);

$createLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Assign Task To A Project',
'projects_id' => 'editable',
'tasks_id' => 'haveselect',
'status' => 'editable',
);

$editLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Edit Project Task',
'uid' => 'hidden',
'projects_id' => 'protected',
'tasks_id' => 'protected',
'status' => 'editable',
);

$deleteLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Remove Task From A Project',
'uid' => 'hidden',
'projects_id' => 'viewonly',
'tasks_id' => 'viewonly',
'status' => 'viewonly',
'createat' => 'viewonly',
'createby' => 'viewonly',
'changeat' => 'viewonly',
'changeby' => 'viewonly',
);

$browseLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Browse Project Task',
'uid' => 'hidden',
'projects_id' => 'viewonly',
'tasks_id' => 'viewonly',
'status' => 'viewonly',
'createat' => 'viewonly',
'createby' => 'viewonly',
'changeat' => 'viewonly',
'changeby' => 'viewonly',
'addl_buttons' => array(
array('heading' => 'Edit', 'module' => 'projecttasks', 'action' => 'Edit'),
array('heading' => 'Copy', 'module' => 'projecttasks', 'action' => 'Create'),
array('heading' => 'Delete', 'module' => 'projecttasks', 'action' => 'Delete'),
),
);

$listLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'List Tasks of a Project',
'projects_id' => 'viewonly',
'tasks_id' => 'viewonly',
'status' => 'viewonly',
);

$searchLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Search Project Task',
'projects_id' => 'editable',
'tasks_id' => 'editable',
);

$projects_tasks_status_array = array(
'10' => 'Active',
'90' => 'Inactive'
);


$lookupArray = array (
'projects_id' => array('module' => 'projects', 'table' => 'projects', 'field' => 'projects_id'),
'tasks_id' => array('module' => 'tasks', 'table' => 'tasks', 'field' => 'tasks_id'),
);


?>