<?php

/*********************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 ********************************************************************************/

$basedir = dirname(__FILE__) . '/..';
require_once("$basedir/baseclass/DBCommonFunctions.php");
require_once("$basedir/roles/config.php");
require_once("$basedir/baseclass/GetAuthorization.php");


class RoleData extends DBCommonFunctions
{

	public function createRow($roles_id, $ds, $st)
	{

		global $roles_status_array;
			
		if ($roles_id == ''
		or $ds == ''
		or $st == '')
		throw new iInvalidArgumentException();

		if (!array_key_exists($st, $roles_status_array))
		throw new iInvalidDataException();

		$sid = $this->escapeString($roles_id);
		$sds = $this->escapeString($ds);
		$sst = $this->escapeString($st);
		$loggedinUser = loggedUserID();

		$this->beginTransaction();
		try
		{
			$query = "INSERT INTO roles (roles_id, description, status, createat, createby, changeby)
           				VALUES ('$sid', '$sds', '$sst', now(), '$loggedinUser', '$loggedinUser')";

			$conn = $this->getConnection();
			$conn->query($query);
			$recid = $conn->insert_id;
			$this->chkQueryError($conn, $query);

			$this->commitTransaction();
			return $recid;
		}
		catch (Exception $e)
		{
			$this->rollbackTransaction();
			throw $e;
		}

	}


	public function updateRow($uid, $ds, $st)
	{
		global $roles_status_array;

		if ($uid == ''
		or $ds == ''
		or $st == '')
		throw new iInvalidArgumentException();

		if (!array_key_exists($st, $roles_status_array))
		throw new iInvalidDataException();

		$sds = $this->escapeString($ds);
		$sst = $this->escapeString($st);

		$loggedinUser = loggedUserID();

		$auth = new userauthorization();
		$authority = $auth->chkauthorityLevel('roles', 'Edit');

		if (($authority == 'none')
		or (($authority == 'own')
		and ($this->getRecordCreator('roles', $uid) <> $loggedinUser)))
		throw new iBLError('nocategory', 'er0041');

		$this->beginTransaction();
		try
		{
			$query = "UPDATE roles
						 SET description = '$sds',
							 status = '$sst',
							 changeby = '$loggedinUser'
						WHERE uid = '$uid'";

			$conn = $this->getConnection();
			$conn->query($query);
			$this->chkQueryError($conn, $query);

			$this->commitTransaction();
		}
		catch (Exception $e)
		{
			$this->rollbackTransaction();
			throw $e;
		}
	}


}


?>