<?php

/*********************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 ********************************************************************************/

$fieldMetaData = array(
'uid' => array('label' => 'Unique ID', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField'),
'company_id' => array('label' => 'Company', 'displaysize' => 25, 'fieldlen' => 25, 'fieldType' => 'textField'),
'name' => array('label' => 'Company Name', 'displaysize' => 50, 'fieldlen' => 50, 'fieldType' => 'textField'),
'address1' => array('label' => 'Address line 1', 'displaysize' => 50, 'fieldlen' => 50, 'fieldType' => 'textField'),
'address2' => array('label' => 'Address line 2', 'displaysize' => 50, 'fieldlen' => 50, 'fieldType' => 'textField'),
'city'	=> array('label' => 'City', 'nosearch', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField'),
'state' => array('label' => 'State', 'nosearch', 'displaysize' => 2, 'fieldlen' => 2, 'fieldType' => 'textField'),
'postalcode' => array('label' => 'Postal Code', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'textField'),
'country' => array('label' => 'Country', 'displaysize' => 30, 'fieldlen' => 30, 'fieldType' => 'textField'),
'logo' => array('label' => 'Company Logo', 'displaysize' => 50, 'fieldlen' => 100, 'fieldType' => 'fileField'),
'weekendday' => array('label' => 'Week End Day', 'displaysize' =>10, 'fieldlen' => 1, 'fieldType' => 'optionField',  'validValues' => 'weekendday_array'),
'language' => array('label' => 'Language','displaysize' => 10, 'fieldlen' => 3, 'fieldType' => 'optionField',  'validValues' => 'language_array'),
'createat' => array('label' => 'Created At', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField'),
'createby' => array('label' => 'Created By', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'textField'),
'changeat' => array('label' => 'Changed At', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField'),
'changeby' => array('label' => 'Changed By', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'textField'),
'toFile'=> array('label' => 'To File Name', 'displaysize' => 50, 'fieldlen' => 250, 'fieldType' => 'textField'),
'fromFile'=> array('label' => 'From File Name', 'displaysize' => 50, 'fieldlen' => 250, 'fieldType' => 'textField'),
'DB_Admin_id'=> array('label' => 'Database Administrator', 'displaysize' => 25, 'fieldlen' => 25, 'fieldType' => 'textField', 'helptext' => 'Use the same user id that was specified during installation'),
'DB_Admin_Password'=> array('label' => 'Database Admin Password', 'displaysize' => 25, 'fieldlen' => 25, 'fieldType' => 'passwordField')
);

$backupLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Backup Database',
'toFile' => 'editable',
'DB_Admin_id' => 'editable',
'DB_Admin_Password' => 'editable'
);

$restoreLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Restore Database',
'fromFile' => 'editable',
'DB_Admin_id' => 'editable',
'DB_Admin_Password' => 'editable'
);

$editLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Edit Company Record',
'uid' => 'hidden',
'name' => 'editable',
'address1' => 'editable',
'address2' => 'editable',
'city' => 'editable',
'state' => 'editable',
'postalcode' => 'editable',
'country' => 'editable',
'weekendday' => 'editable',
'language' => 'editable',
'logo' => 'editable',
);

$browseLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Browse Company Record',
'uid' => 'hidden',
'name' => 'viewonly',
'address1' => 'viewonly',
'address2' => 'viewonly',
'city' => 'viewonly',
'state' => 'viewonly',
'postalcode' => 'viewonly',
'country' => 'viewonly',
'logo' => 'viewonly',
'weekendday' => 'viewonly',
'language' => 'viewonly',
'createat' => 'viewonly',
'createby' => 'viewonly',
'changeat' => 'viewonly',
'changeby' => 'viewonly',
'addl_buttons' => array(
array('heading' => 'Edit', 'module' => 'sysadmin', 'action' => 'Edit'),
),
);

$weekendday_array = array(
'0'=> 'Sunday',
'1'=> 'Monday',
'2'=> 'Tuesday',
'3'=> 'Wedensday',
'4'=> 'Thursday',
'5'=> 'Friday',
'6'=> 'Saturday'
);

$language_array = array(
'ENG' => 'English',
'FRA' => 'French',
'ITA' => 'Italian',
'SPN' => 'Spanish',
);
?>