<?php

/*********************************************************************************
 * TES is a Time and Expense Management program developed by
 * Initechs, LLC. Copyright (C) 2009 - 2010 Initechs LLC.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY INITECHS, INITECHS DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact Initechs headquarters at 1841 Piedmont Road, Suite 301,
 * Marietta, GA, USA. or at email address contact@initechs.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display od the "Initechs" logo.
 * If the display of the logo is not reasonably feasible for technical reasons,
 * the Appropriate Legal Notices must display the words "Powered by Initechs".

 ********************************************************************************/

$fieldMetaData = array(
'uid' => array('label' => 'Unique ID', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'users_id' => array('label' => 'User', 'displaysize' => 20,  'fieldlen' => 20, 'fieldType' => 'textField',),
'fullname' => array('label' => 'Full Name', 'displaysize' => 20, 'fieldlen' => 30, 'fieldType' => 'textField',),
'password1' => array('label' => 'Password', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'passwordField',),
'password2' => array('label' => 'Password', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'passwordField',),
'email' => array('label' => 'Email Address', 'displaysize' => 20, 'fieldlen' => 50, 'fieldType' => 'textField',),
'title' => array('label' => 'Title', 'displaysize' => 20, 'fieldlen' => 30, 'fieldType' => 'textField',),
'reportto' => array('label' => 'Report To', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'joindate' => array('label' => 'Join Date', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
'status' => array('label' => 'Status','displaysize' => 10, 'fieldlen' => 2, 'fieldType' => 'radioField',  'validValues' => 'users_status_array'),
'authorizations_id' => array('label' => 'Authorization', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'textField',),
'usergroup' => array('label' => 'User Group', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'dateformat' => array('label' => 'Date Format','displaysize' => 10, 'fieldlen' => 3, 'fieldType' => 'radioField',  'validValues' => 'date_format_array'),
'language' => array('label' => 'Language','displaysize' => 10, 'fieldlen' => 3, 'fieldType' => 'optionField',  'validValues' => 'language_array'),
'createat' => array('label' => 'Created At', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
'createby' => array('label' => 'Created By', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
'changeat' => array('label' => 'Changed At', 'displaysize' => 10, 'fieldlen' => 10, 'fieldType' => 'dateField',),
'changeby' => array('label' => 'Changed By', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'textField',),
);

$fieldMetaDataForLogin = array(
'users_id' => array('label' => 'User', 'displaysize' => 20,  'fieldlen' => 20, 'fieldType' => 'textField',),
'password1' => array('label' => 'Password', 'displaysize' => 20, 'fieldlen' => 20, 'fieldType' => 'passwordField',),
);

$createLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Create User',
'users_id' => 'editable',
'fullname' => 'editable',
'password1' => 'editable',
'password2' => 'editable',
'email' => 'editable',
'title' => 'editable',
'joindate' => 'editable',
'reportto' => 'haveselect',
'usergroup' => 'editable',
'authorizations_id' => 'editable',
'dateformat' => 'editable',
'language' => 'editable',
'status' => 'editable',
);

$editLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Edit User',
'uid' => 'hidden',
'users_id' => 'protected',
'fullname' => 'editable',
'email' => 'editable',
'title' => 'editable',
'joindate' => 'editable',
'reportto' => 'haveselect',
'usergroup' => 'editable',
'authorizations_id' => 'editable',
'dateformat' => 'editable',
'language' => 'editable',
'status' => 'editable',
);


$deleteLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Delete User',
'uid' => 'hidden',
'users_id' => 'viewonly',
'fullname' => 'viewonly',
'email' => 'viewonly',
'title' => 'viewonly',
'joindate' => 'viewonly',
'reportto' => 'viewonly',
'usergroup' => 'viewonly',
'authorizations_id' => 'viewonly',
'dateformat' => 'viewonly',
'language' => 'viewonly',
'status' => 'viewonly',
'createat' => 'viewonly',
'createby' => 'viewonly',
'changeat' => 'viewonly',
'changeby' => 'viewonly',
);

$browseLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Browse User',
'uid' => 'hidden',
'users_id' => 'viewonly',
'fullname' => 'viewonly',
'email' => 'viewonly',
'title' => 'viewonly',
'joindate' => 'viewonly',
'reportto' => 'viewonly',
'usergroup' => 'viewonly',
'authorizations_id' => 'viewonly',
'dateformat' => 'viewonly',
'language' => 'viewonly',
'status' => 'viewonly',
'createat' => 'viewonly',
'createby' => 'viewonly',
'changeat' => 'viewonly',
'changeby' => 'viewonly',
'addl_buttons' => array(
array('heading' => 'Edit', 'module' => 'users', 'action' => 'Edit',),
array('heading' => 'Copy', 'module' => 'users', 'action' => 'Create',),
array('heading' => 'Delete', 'module' => 'users', 'action' => 'Delete',),
array('heading' => 'Change Password', 'module' => 'users', 'action' => 'ChangePassword',),
),
);

$listLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'List Users',
'users_id' => 'viewonly',
'fullname' => 'viewonly',
'email' => 'viewonly',
'title' => 'viewonly',
'joindate' => 'viewonly',
'reportto' => 'viewonly',
'usergroup' => 'viewonly',
'status' => 'viewonly',
);

$searchLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Search Users',
'users_id' => 'editable',
'fullname' => 'editable',
'title' => 'editable',
'usergroup' => 'editable',
'reportto' => 'editable',
);


$loginLayout = array(
'fieldMetaData' => 'fieldMetaDataForLogin',
'users_id' => 'editable',
'password1' => 'editable',
'buttons' => array(
array('heading' => 'Login', 'type' => 'submit',),
array('heading' => 'Refresh', 'type' => 'reset',),
),
'buttonPlace' => 'bottom',
'helptext' => 'Enter <b>admin</b> as user id and <b>admin</b> as password to access this demo site.</br>
When you install the software for your production and you want to remove this line, contact us at <a href="mailto:contact@tems-online.com">contact@tems-online.com</a> for instruction.</br>
Due to version differences we cannot document the instruction here.'
);

$changePasswordLayout = array(
'fieldMetaData' => 'fieldMetaData',
'heading' => 'Change Password',
'uid' => 'hidden',
'users_id' => 'protected',
'password1' => 'editable',
'password2' => 'editable',
);


$users_status_array = array(
'10' => 'Active',
'90' => 'Inactive'
);

$date_format_array = array(
'MDY' => 'MM/DD/YYYY',
'DMY' => 'DD/MM/YYYY',
'YMD' => 'YYYY/MM/DD',
);

$language_array = array(
'ENG' => 'English',
'FRA' => 'French',
'ITA' => 'Italian',
'SPN' => 'Spanish',
);

$lookupArray = array (
'users_id' => array('module' => 'users', 'table' => 'users', 'field' => 'users_id'),
'reportto' => array('module' => 'users', 'table' => 'users', 'field' => 'users_id'),
);

?>